> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

#  Drivers license

> Means of Identifications



## OpenAPI

````yaml /openapi/identity.json post /kyc/drivers-license
openapi: 3.0.2
info:
  title: Flick Identity API
  description: 'This is a sample API Document for Flick services '
  termsOfService: http://swagger.io/terms/
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For Identity check using Flick
security:
  - bearerAuth: []
tags:
  - name: Individuals(KYC)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Businesses(KYB)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Biometrics
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /kyc/drivers-license:
    post:
      tags:
        - Individuals(KYC)
      summary: ' Drivers license'
      description: Means of Identifications
      operationId: Check Driver license
      requestBody:
        description: Checking for driver license Identification
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Drivers'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriversResponse'
        '405':
          description: Invalid input
      security:
        - bearerAuth: []
components:
  schemas:
    Drivers:
      required:
        - dob
        - first_name
        - last_name
        - drivers_license
      type: object
      properties:
        dob:
          type: string
          example: '2024-09-23'
        first_name:
          type: string
          example: Kingsley
        last_name:
          type: string
          example: Kingsley
        drivers_license:
          type: string
          example: LSR1122AA
    DriversResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        message:
          type: string
          example: Data fetched successfully
        data:
          type: object
          properties:
            response_code:
              type: string
              example: '00'
            detail:
              type: string
              example: DL Verification Successful
            frsc_data:
              properties:
                expiryDate:
                  type: string
                  example: '2027-10-30'
                firstName:
                  type: string
                  example: Kingsley
                lastName:
                  type: string
                  example: Kingsley
                issuedDate:
                  type: string
                  example: '2022-10-01'
                stateOfIssue:
                  type: string
                  example: Lagos
                licenseNo:
                  type: string
                  example: LSR712
                gender:
                  type: string
                  example: Male
                photo:
                  type: string
                  example: >-
                    /4AAQSkZJRgABAQEAYABgAAD/2wBDw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAxNDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIjIyMjIyMjIyMjIyMjIyMjL/
                middleName:
                  type: string
                  example: ''
                birthDate:
                  type: string
                  example: '1989-10-24'
            verification:
              type: object
              properties:
                reference:
                  type: string
                  example: 64-4002-92f0-1
                status:
                  type: string
                  example: VERIFIED
            session:
              type: string
              example: '{}'
            status:
              type: string
              example: 'true'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.